Request supply
curl --request POST \
--url https://api.interchange.io/api/v2/supply-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"channel": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/supply-requests"
payload = {
"domain": "<string>",
"channel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', channel: '<string>'})
};
fetch('https://api.interchange.io/api/v2/supply-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created": true,
"updated": true,
"registryStatus": "found",
"request": {
"domain": "<string>",
"channel": "<string>",
"trackingSource": "explicit",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"key": "tracked",
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Supply Requests
Request supply
Record a customer-requested seller/operator/publisher domain and channel in DemandContext. The request is scoped to the authenticated platform customer, does not require or create a Linear customer, and de-dupes active asks for the same domain/channel.
POST
/
supply-requests
Request supply
curl --request POST \
--url https://api.interchange.io/api/v2/supply-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"channel": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/supply-requests"
payload = {
"domain": "<string>",
"channel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', channel: '<string>'})
};
fetch('https://api.interchange.io/api/v2/supply-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created": true,
"updated": true,
"registryStatus": "found",
"request": {
"domain": "<string>",
"channel": "<string>",
"trackingSource": "explicit",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"key": "tracked",
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json